--- title: Latest Draft --- ## Get Latest Draft **Required scope:** `public-api:write`, `public-api:drafts:read` This endpoint returns the most recent draft version of a document. The response is a JSON object with 5 possible top-level properties: - systemdata - metadata - content - references **Use Cases** - Automation: Fetch draft, modify draft with an external system, update a draft via [Document Command API](/reference/public-api/document-command-api/llms.txt) - Create a [Document Preview](/guides/editor/document-previews/llms.txt) with an external draft service - Drafts [Delivery Build](/guides/editor/publish-control/delivery/llms.txt) (Digital Ausgabe) **History** | Version | Change | | ------- | ------ | | release-2025-09 | Support for the `renditions` query string got removed. An error is reported if used. | | release-2025-03 | Support for top-level property `references` promoted from `beta` to version `2025-03`. | | release-2024-03 | Added `ignoreComponentConditions` and `componentConditions` query parameters. | | release-2022-03 | Initial support in version `beta`. | **Curl Example** ```bash ACCESS_TOKEN=ey1234 curl -k -X GET "https://server.livingdocs.io/api/2026-05/documents/{documentId}/latestDraft" \ -H "Authorization: Bearer $ACCESS_TOKEN" ``` **Endpoint** ```http GET /api/2026-05/documents/{documentId}/latestDraft ``` **Parameters** | Name | Type | Required | Notes | | ---- | ---- | :------: | ----- | | documentId | integer | x | | | ?ignoreComponentConditions | boolean | | Added in: [`release-2024-03`](/operations/releases/release-2024-03/)

Provides a way to opt out of component filtering and return all content regardless of whether each component passes the conditional checks.

Default: `false` | | ?componentConditions | string | | Added in: [`release-2024-03`](/operations/releases/release-2024-03/)

JSON stringified object which contains the component conditions you would like to apply.

Default: `dateTime: new Date()`
Example: `?componentConditions={"dateTime":"2024-02-14T17:25:10.391Z"}` | **Response** _200 OK_ ```json { "systemdata": { "projectId": 1, "channelId": 1, "documentId": 603, "contentType": "regular", "documentType": "article", "firstPublicationDate": "2022-03-16T14:08:11:000Z", "significantPublicationDate": "2022-10-26T07:25:00.000Z", "visiblePublicationDate": "2022-10-27T06:00:00.000Z", "lastPublicationDate": "2023-02-22T16:33:42.836Z", "design": { "name": "living-times", "version": "1.0.4" } }, "content": [ { "id": "doc-1fsh4faeo0", "component": "article-container", "identifier": "living-times.article-container", "position": "fixed", "containers": { "main": [ { "id": "doc-1fsh4faeo3", "component": "paragraph", "identifier": "living-times.paragraph", "content": { "text": "First paragraph published." } }, { "id": "doc-1fsh4g83l0", "component": "paragraph", "identifier": "living-times.paragraph", "content": { "text": "Second paragraph unpublished." } } ] } } ], "references": [ { "id": "KjqXSj2P1-L0", "type": "language-group", "location": "metadata", "propertyName": "language" } ], "metadata": { "language": { "label": "German", "locale": "de", "groupId": "KjqXSj2P1-L0" }, "title": "Draft (Changed)" } } ``` ## Get Latest Draft > [!NOTE] > This endpoint has changes in version 2025-09. > **Required scope:** `public-api:write`, `public-api:drafts:read` This endpoint returns the most recent draft version of a document. The response is a JSON object with 5 possible top-level properties: - systemdata - metadata - content - references - renditions (deprecated) **Use Cases** - Automation: Fetch draft, modify draft with an external system, update a draft via [Document Command API](/reference/public-api/document-command-api/llms.txt) - Create a [Document Preview](/guides/editor/document-previews/llms.txt) with an external draft service - Drafts [Delivery Build](/guides/editor/publish-control/delivery/llms.txt) (Digital Ausgabe) **History** | Version | Change | | ------- | ------ | | release-2025-09 | The `renditions` query string is deprecated and logs a warning when used. | | release-2025-03 | Support for top-level property `references` promoted from `beta` to version `2025-03`. | | release-2024-03 | Added `ignoreComponentConditions` and `componentConditions` query parameters. | | release-2022-03 | Initial support in version `beta`. | **Curl Example** ```bash ACCESS_TOKEN=ey1234 curl -k -X GET "https://server.livingdocs.io/api/2025-07/documents/{documentId}/latestDraft" \ -H "Authorization: Bearer $ACCESS_TOKEN" ``` **Endpoint** ```http GET /api/2025-07/documents/{documentId}/latestDraft ``` **Parameters** | Name | Type | Required | Notes | | ---- | ---- | :------: | ----- | | documentId | integer | x | | | ?renditions | string | | A comma-separated list of rendition handles. Example: `?renditions=web,json` | | ?ignoreComponentConditions | boolean | | Added in: [`release-2024-03`](/operations/releases/release-2024-03/)

Provides a way to opt out of component filtering and return all content regardless of whether each component passes the conditional checks.

Default: `false` | | ?componentConditions | string | | Added in: [`release-2024-03`](/operations/releases/release-2024-03/)

JSON stringified object which contains the component conditions you would like to apply.

Default: `dateTime: new Date()`
Example: `?componentConditions={"dateTime":"2024-02-14T17:25:10.391Z"}` | **Response** _200 OK_ ```json { "systemdata": { "projectId": 1, "channelId": 1, "documentId": 603, "contentType": "regular", "documentType": "article", "firstPublicationDate": "2022-03-16T14:08:11:000Z", "significantPublicationDate": "2022-10-26T07:25:00.000Z", "visiblePublicationDate": "2022-10-27T06:00:00.000Z", "lastPublicationDate": "2023-02-22T16:33:42.836Z", "design": { "name": "living-times", "version": "1.0.4" } }, "content": [ { "id": "doc-1fsh4faeo0", "component": "article-container", "identifier": "living-times.article-container", "position": "fixed", "containers": { "main": [ { "id": "doc-1fsh4faeo3", "component": "paragraph", "identifier": "living-times.paragraph", "content": { "text": "First paragraph published." } }, { "id": "doc-1fsh4g83l0", "component": "paragraph", "identifier": "living-times.paragraph", "content": { "text": "Second paragraph unpublished." } } ] } } ], "references": [ { "id": "KjqXSj2P1-L0", "type": "language-group", "location": "metadata", "propertyName": "language" } ], "metadata": { "language": { "label": "German", "locale": "de", "groupId": "KjqXSj2P1-L0" }, "title": "Draft (Changed)" }, "renditions": [ { "handle": "web", // ... } ] } ``` ## Get Latest Draft > [!WARNING] > With the introduction of the new [versioning strategy](/reference/public-api/versioning/llms.txt), the `v1` and `beta` versions are now available as `2025-03` version. If you use any of those versions, you can safely change your integration to the `2025-03` version, which now contains both functionalities without any other changes. > **Required scope:** `public-api:write`, `public-api:drafts:read` This endpoint returns the most recent draft version of a document. The response is a JSON object with 5 possible top-level properties: - systemdata - metadata - content - references - renditions (deprecated) **Use Cases** - Automation: Fetch draft, modify draft with an external system, update a draft via [Document Command API](/reference/public-api/document-command-api/llms.txt) - Create a [Document Preview](/guides/editor/document-previews/llms.txt) with an external draft service - Drafts [Delivery Build](/guides/editor/publish-control/delivery/llms.txt) (Digital Ausgabe) **History** | Version | Change | | ------- | ------ | | release-2025-09 | The `renditions` query string is deprecated and logs a warning when used. | | release-2024-03 | Added `ignoreComponentConditions` and `componentConditions` query parameters. | | release-2022-03 | Initial support. | **Curl Example** ```bash ACCESS_TOKEN=ey1234 curl -k -X GET "https://server.livingdocs.io/api/beta/documents/{documentId}/latestDraft" \ -H "Authorization: Bearer $ACCESS_TOKEN" ``` **Endpoint** ```http GET /api/beta/documents/{documentId}/latestDraft ``` **Parameters** | Name | Type | Required | Notes | | ---- | ---- | :------: | ----- | | documentId | integer | x | | | ?renditions | string | | A comma-separated list of rendition handles. Example: `?renditions=web,json` | | ?ignoreComponentConditions | boolean | | Added in: [`release-2024-03`](/operations/releases/release-2024-03/)

Provides a way to opt out of component filtering and return all content regardless of whether each component passes the conditional checks.

Default: `false` | | ?componentConditions | string | | Added in: [`release-2024-03`](/operations/releases/release-2024-03/)

JSON stringified object which contains the component conditions you would like to apply.

Default: `dateTime: new Date()`
Example: `?componentConditions={"dateTime":"2024-02-14T17:25:10.391Z"}` | **Response** _200 OK_ ```json { "systemdata": { "projectId": 1, "channelId": 1, "documentId": 603, "contentType": "regular", "documentType": "article", "firstPublicationDate": "2022-03-16T14:08:11:000Z", "significantPublicationDate": "2022-10-26T07:25:00.000Z", "visiblePublicationDate": "2022-10-27T06:00:00.000Z", "lastPublicationDate": "2023-02-22T16:33:42.836Z", "design": { "name": "living-times", "version": "1.0.4" } }, "content": [ { "id": "doc-1fsh4faeo0", "component": "article-container", "identifier": "living-times.article-container", "position": "fixed", "containers": { "main": [ { "id": "doc-1fsh4faeo3", "component": "paragraph", "identifier": "living-times.paragraph", "content": { "text": "First paragraph published." } }, { "id": "doc-1fsh4g83l0", "component": "paragraph", "identifier": "living-times.paragraph", "content": { "text": "Second paragraph unpublished." } } ] } } ], "references": [ { "id": "KjqXSj2P1-L0", "type": "language-group", "location": "metadata", "propertyName": "language" } ], "metadata": { "language": { "label": "German", "locale": "de", "groupId": "KjqXSj2P1-L0" }, "title": "Draft (Changed)" }, "renditions": [ { "handle": "web", // ... } ] } ```